#include <stdio.h>

/* Função que encontra o mínimo divisor de um número inteiro. */
int minimoDivisor(int num) {
	int div;
	
	// Testa todos os possíveis divisores de 2 até num / 2.
	for (div = 2; div <= num / 2; div++)
		if (num % div == 0) return div;
		
	// Se não achou nenhum divisor, retorna o próprio número.
	return num;
}

/* Procedimento que imprime a fatoração de um número inteiro. */
void imprimirFatoracao(int num) {
	printf("%d = ", num);
	
	// Imprime fatores e divide o número até que ele seja igual a 1 (não há mais fatores).
	while (num > 1) {
		int fator = minimoDivisor(num);
		printf("%d x ", fator);
		num = num / fator;
	}
	
	// Finaliza com 1 para não sobrar um "x" e quebra a linha.
	printf("1\n");
}

/* Função principal. */
main() {
	int num;
	
	printf("Digite um número positivo para imprimir sua fatoração. Digite 0 para sair.\n");
	scanf("%d", &num);
	
	// Continua até que seja digitado 0 (lembre-se: 0 = falso, qualquer outro valor = verdadeiro).
	while (num) {
		imprimirFatoracao(num);
		scanf("%d", &num);
	}
}
