#include <stdio.h>

/* Função que verifica se os valores passados para lados de um triângulo podem formar um triângulo. */
int ehTriangulo(float a, float b, float c) {
	// Se a medida de um dos lados for maior que a soma dos outros dois, não é um triângulo.
	if (a > b + c) return 0;
	if (b > a + c) return 0;
	if (c > a + b) return 0;
	
	// Do contrário, é um triângulo.
	return 1;
}

/* Função que retorna o tipo do triângulo (1 = equilátero, 2 = isósceles, 3 = escaleno). */
int tipoTriangulo(float a, float b, float c) {
	// Se os três lados forem iguais, é equilátero (1).
	if ((a == b) && (b == c)) return 1;
	
	// Do contrário, se dois dos lados forem iguais, é isósceles (2).
	if ((a == b) || (a == c) || (b == c)) return 2;
	
	// Do contrário, é escaleno.
	return 3;
}

/* Função principal. */
main() {
	int n, i;
	float a, b, c;

	// Lê o número de triângulos a testar.
	printf("Informe o número de triângulos a testar: ");
	scanf("%d", &n);
	
	// Processa N triângulos.
	for (i = 1; i <= n; i++) {
		// Lê os valores dos lados.
		printf("Informe os lados do %do triângulo: ", i);
		scanf("%f %f %f", &a, &b, &c);
		
		// Verifica se é um triângulo.
		if (ehTriangulo(a, b, c)) {
			// É um triângulo. Verifica o tipo.
			switch (tipoTriangulo(a, b, c)) {
			case 1:
				printf("Equilátero\n");
				break;
			case 2:
				printf("Isósceles\n");
				break;
			case 3:
				printf("Escaleno\n");
				break;
			}
		}
		
		// Se não é triângulo, imprime.
		else printf("Não é um triângulo\n");
	}
}
